Bug 691542 - Zero line with bug in png driver
Zero line with bug in png driver
Status: RESOLVED FIXED
Product: Ghostscript
Classification: Unclassified
Component: Other Driver
8.71
PC Linux
: P4 normal
Assigned To: Default assignee
Bug traffic
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 08:18 UTC by Michael Heca
Modified: 2010-08-09 19:27 UTC (History)
1 user (show)

See Also:
Customer:
Word Size: ---


Attachments
source eps for generation bug in png driver (8.41 KB, image/x-eps)
2010-08-09 08:18 UTC, Michael Heca
Details
generated wrong png (157.16 KB, image/jpeg)
2010-08-09 08:22 UTC, Michael Heca
Details
generated wrong png (52.31 KB, image/png)
2010-08-09 08:23 UTC, Michael Heca
Details
generated correct jpg (157.16 KB, image/jpeg)
2010-08-09 08:23 UTC, Michael Heca
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Heca 2010-08-09 08:18:55 UTC
Created attachment 6635 [details]
source eps for generation bug in png driver

I found bug in pngalpha driver. Line with is sometimes interpreted as 0. Jpeg driwer produce correct output.
Comment 1 Michael Heca 2010-08-09 08:22:05 UTC
Created attachment 6636 [details]
generated wrong png
Comment 2 Michael Heca 2010-08-09 08:23:02 UTC
Created attachment 6637 [details]
generated wrong png
Comment 3 Michael Heca 2010-08-09 08:23:25 UTC
Created attachment 6638 [details]
generated correct jpg
Comment 4 Alex Cherepanov 2010-08-09 19:27:34 UTC
This problem is solved in the current development version
after the following commit:

r11542 | chrisl | 2010-07-26 04:48:33 -0400 (Mon, 26 Jul 2010) | 12 lines
A much better solution for Bug 691328.
The bitmap data coming from a font scaler/renderer may not have its raster
alignment as Ghostscript expects, so in the event that is the case, create
a bitmap which is GS compatible in the FAPI layer, before calling any
further operations on it.

A new version of Ghostscript (9.00) is about to be released.